#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcc02ee8, "module_layout" },
	{ 0x7db7cd01, "sdhci_set_bus_width" },
	{ 0xb7f1f9d3, "sdhci_cqe_disable" },
	{ 0x17ee794d, "platform_driver_unregister" },
	{ 0x3a257d5a, "__platform_driver_register" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0xd40553b1, "sdhci_execute_tuning" },
	{ 0xda597170, "regulator_is_supported_voltage" },
	{ 0x2c030f20, "sdhci_set_uhs_signaling" },
	{ 0x193b3a81, "sdhci_start_signal_voltage_switch" },
	{ 0x4d29aebb, "sdhci_request" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x797796f6, "sdhci_set_clock" },
	{ 0x6c8179ad, "pinctrl_select_state" },
	{ 0xf27c674, "mmc_send_tuning" },
	{ 0xda00816b, "__sdhci_set_timeout" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc33bd045, "sdhci_cqe_enable" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28278bfb, "sdhci_reset" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4562c464, "__dynamic_dev_dbg" },
	{ 0x90a4f065, "_dev_warn" },
	{ 0xdca5f652, "_dev_err" },
	{ 0xc3be39bf, "sdhci_cleanup_host" },
	{ 0x1a60f626, "__sdhci_add_host" },
	{ 0x8e8e24f6, "cqhci_init" },
	{ 0xe90ac0fa, "devm_kmalloc" },
	{ 0x19021aaa, "sdhci_add_host" },
	{ 0x2bf40ec, "dev_err_probe" },
	{ 0x76a561ec, "sdhci_setup_host" },
	{ 0x2308f487, "sdhci_enable_v4_mode" },
	{ 0x1e0b662a, "pinctrl_lookup_state" },
	{ 0x41e6eb69, "devm_pinctrl_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x84303941, "__devm_reset_control_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x6263bd57, "devm_clk_get" },
	{ 0x206be3a7, "devm_gpiod_get_optional" },
	{ 0x94e33749, "device_property_present" },
	{ 0x16d7fb35, "mmc_of_parse" },
	{ 0x911b97a4, "sdhci_pltfm_init" },
	{ 0x2d96a356, "of_match_device" },
	{ 0x3dc009d, "sdhci_resume_host" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdf185b65, "sdhci_dumpregs" },
	{ 0xc5850110, "printk" },
	{ 0xc0f8b2fb, "device_property_read_u32_array" },
	{ 0x7635d49c, "sdhci_pltfm_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xaffe5bc4, "sdhci_remove_host" },
	{ 0xac6770a0, "cqhci_resume" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xadb03ab1, "sdhci_suspend_host" },
	{ 0xaa45df1b, "cqhci_deactivate" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xe900817d, "cqhci_irq" },
	{ 0xca76a150, "sdhci_cqe_irq" },
	{ 0x89b32aa1, "dma_set_coherent_mask" },
	{ 0x95805c96, "dma_set_mask" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x90293da4, "mmc_gpio_get_ro" },
};

MODULE_INFO(depends, "sdhci,mmc_core,cqhci,sdhci-pltfm");

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhciC*");

MODULE_INFO(srcversion, "4269C26F319D77BBA6D48C9");
MODULE_INFO(rhelversion, "9.1");
